/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       app_boardDemoMode.h
\brief      Definitions and Function prototypes for demo mode
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       June/2007
*/
/*******************************************************************************/

#ifndef _APP_BOARDDEMOMODE_H
#define _APP_BOARDDEMOMODE_H


/* PWM levels */

#define MAX_PWM     0x7F
#define MIN_PWM     0x50


/* Loads activation sequence */

#define TOGGLE_LIGHTS   1    
#define CABIN_LIGHTS    2
#define TURN_LIGHTS     3
#define REAR_LIGHTS     4
#define BREAK_LIGHTS    5
#define BLUE_LIGHTS     6
#define FRONT_LIGHTS    7
#define DIMM_LIGHTS     8
#define ALL_LIGHTS      9
#define NO_LIGHTS       10


#define INITIAL_TASK    1
#define LAST_TASK       11

void app_Autodemo_Mode(void);


#endif /* _APP_BOARDDEMOMODE_H */

/*******************************************************************************/