/******************************************************************************
*                                                       
*       Copyright (C) 2005 Freescale Semiconductor, Inc.
*       All Rights Reserved								              
*														                            
* Filename:     l_gen.c                
*														                            
* Revision:      										                    
*														                            
* Functions:    LIN configuration file for LIN12star Slave sample with LIN API
*												                            
* Description:  Generated from LIN Description File (LDF) by special utility.
*												                            
* Notes:
*												                            
******************************************************************************/

#include <l_api.h>

/* Message Buffers */
l_u8 LINBuffer31[8];	
l_u8 LINBuffer32[8];	

/* Message Data Table */
const l_u8 LinMsgId[] =
{
        0xB1, /* we receive msg 0x1A */
        0x32, /* we send msg 0x1B */
};

/* Message Length Table */
const l_u8 LinMsgLen[] =
{
	8,
	8,
};

/* Message Buffers Table */
l_u8 * const LinMsgBuf[] =
{
        LINBuffer31,
        LINBuffer32,
};

/* LinLookupTable */
const l_u8 LinLookupTable [64] = 
{
/* 00 */	LIN_IGNORE,	
/* 01 */	LIN_IGNORE,	
/* 02 */	LIN_IGNORE,	
/* 03 */	LIN_IGNORE,	
/* 04 */	LIN_IGNORE,	
/* 05 */	LIN_IGNORE,	
/* 06 */	LIN_IGNORE,	
/* 07 */	LIN_IGNORE,	
/* 08 */	LIN_IGNORE,	
/* 09 */	LIN_IGNORE,	
/* 0A */	LIN_IGNORE,	
/* 0B */	LIN_IGNORE,	
/* 0C */	LIN_IGNORE,	
/* 0D */	LIN_IGNORE,	
/* 0E */	LIN_IGNORE,	
/* 0F */	LIN_IGNORE,	
/* 10 */	LIN_IGNORE,	
/* 11 */	LIN_IGNORE,	
/* 12 */	LIN_IGNORE,	
/* 13 */	LIN_IGNORE,	
/* 14 */	LIN_IGNORE,	
/* 15 */	LIN_IGNORE,	
/* 16 */	LIN_IGNORE,	
/* 17 */	LIN_IGNORE,	
/* 18 */	LIN_IGNORE,	
/* 19 */	LIN_IGNORE,	
/* 1A */	LIN_IGNORE,
/* 1B */	LIN_IGNORE,
/* 1C */	LIN_IGNORE,	
/* 1D */	LIN_IGNORE,	
/* 1E */	LIN_IGNORE,	
/* 1F */	LIN_IGNORE,	
/* 20 */	LIN_IGNORE,	
/* 21 */	LIN_IGNORE,	
/* 22 */	LIN_IGNORE,	
/* 23 */	LIN_IGNORE,	
/* 24 */	LIN_IGNORE,	
/* 25 */	LIN_IGNORE,	
/* 26 */	LIN_IGNORE,	
/* 27 */	LIN_IGNORE,	
/* 28 */	LIN_IGNORE,	
/* 29 */	LIN_IGNORE,	
/* 2A */	LIN_IGNORE,	
/* 2B */	LIN_IGNORE,	
/* 2C */	LIN_IGNORE,	
/* 2D */	LIN_IGNORE,	
/* 2E */	LIN_IGNORE,	
/* 2F */	LIN_IGNORE,	
/* 30 */	LIN_IGNORE,	
/* 31 */	LIN_RECEIVE | 0,   /* we receive msg 0x31 */	
/* 32 */	LIN_SEND    | 1,   /* we send msg 0x32 */	
/* 33 */	LIN_IGNORE,	
/* 34 */	LIN_IGNORE,	
/* 35 */	LIN_IGNORE,	
/* 36 */	LIN_IGNORE,	
/* 37 */	LIN_IGNORE,	
/* 38 */	LIN_IGNORE,	
/* 39 */	LIN_IGNORE,	
/* 3A */	LIN_IGNORE,	
/* 3B */	LIN_IGNORE,	
/* 3C */	LIN_IGNORE,	
/* 3D */	LIN_IGNORE,	
/* 3E */	LIN_IGNORE,	
/* 3F */	LIN_IGNORE
};

/* Size of configuration arrays */
#define LIN_LIST_SIZE   ( sizeof( LinMsgLen ) / sizeof( LinMsgLen[0] ) )

const l_u8  LinListSize = LIN_LIST_SIZE;

/* Message Status List */
l_u8 LinMsgStatus[LIN_LIST_SIZE];

/* Signal Flags Array */
l_u8 LinSigFlags[1];

/* Flags Hash Table */
const l_u8 LinFlagLookup[2] = { 
	0, /* first byte with flags for 0x1A message */
	1, /* end byte */
};

/* LinSigFlags Size dimension */
const l_u8 LinSigMaxIdx = ( sizeof( LinSigFlags ) / sizeof( LinSigFlags[0] ) - 1 );
