/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
Freescale Confidential Proprietary
\file       lle_GPIO_SPI.h
\brief      Definitions for GPIO based SPI driver for MC9S08DZ60
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       September/2007
*/
/*******************************************************************************/


/** Function Prototypes */

/** Initializing of GPIO based SPI */
void lle_GPIO_SPI_Init(void);

/** 8 bit transmission and reception through GPIO-based SPI */
UINT8 lle_GPIO_SPI(UINT8 u8Data);

/** 8 bit transference through GPIO-based SPI */
UINT8 lle_SPI_8(UINT8 *ptSPI);

/** 16 bit transference through GPIO-based SPI */
void lle_SPI_16(UINT8 *ptSPI);

/** 24 bit transference through GPIO-based SPI */
void lle_SPI_24(UINT8 *ptSPI);

/*******************************************************************************/