/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       app_boardAnalogVal.h
\brief      Analog values conversion defines and function prototypes 
\author     Freescale Semiconductor
\author     RC574C
\version    0.2
\date       October/2007
*/
/*******************************************************************************/

#ifndef _APP_BOARDANALOGVAL_H_
#define _APP_BOARDANALOGVAL_H_

#include "main.h"

// Pushbutton ATD thresholds
#define PB1_THR   PB1_THR_INIT
#define PB2_THR	  PB2_THR_INIT
#define PB3_THR	  PB3_THR_INIT

/** Convert voltage1/2, Light/Temperature sensor, select pushbuttons */
void app_boardMSDIAnalogVal(void);

/** Convert analog values */
void app_boardAnalogVal(void);


#endif _APP_BOARDANALOGVAL_H_