/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       app_boardInit.c
\brief      Initialize main board devices  
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       November/ 2007
*/
/*******************************************************************************/

/** Derivative peripheral declarations */
#include "derivative.h"

#include "lle_GPIO.h"
#include "lle_TIME.h"
#include "lle_ADC.h"
#include "lle_GPIO_SPI.h" 


/*******************************************************************************/
/**
* \brief    Decode RKE command received 
* \author   B05114
* \param    none
* \return   void
*/                        
void app_DecRKEcommand(void)
{             
    pollMsg();	/* Verify if there is a new RKE message */	 										   				    		    
			    
    if(cmdReady)
    {
        /* Successful event */
        if(command == 0 || command == 2)
        {                
            switch(KEY_COMMAND)
            {      
            case 0: 
                LED1 ^= 1;       /* Toggle indicator */                                           
            break;    
                                        
            case 1: 
                LED1 ^= 1;       /* Toggle indicator */
                                                    	  
                        break;
                    
                        case 2: 
                            LED1 ^= 1;       /* Toggle indicator */
                            fm_action7 = 1; 
                        break;
                    
                        case 3: 
                            LED1 ^= 1;       /* Toggle indicator */
                            fm_action7 = 0;    
                        break;  
                                          
                        case 255:                     
                            LED1 = 0;       /* Clear indicator */      
                        break;           
                        }
                    }
                    
                    else
                    {
                    InitEcho();
                    }
      
                cmdReady = 0;
                }
                
                 	
}

/*******************************************************************************/

