/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       des_MC33661.h
\brief      Register definitions and function prototypes for LIN interface 
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       May/2007
*/
/*******************************************************************************/

#ifndef _DES_MC33661_H  /* Prevent duplicated includes */
#define _DES_MC33661_H

/** Variable types and common definitions */
#include "typedefs.h" 


/* Operation modes */
#define LIN_NORMAL            1
#define LIN_SLEEP             2

/** Function Prototypes */

/** Set MC33661 operation mode */
void des_MC33661_SetMode(UINT8 u8Mode);

#endif /* _DES_MC33661_H */

/*******************************************************************************/
