/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       des_MC33887.h
\brief      Door lock H-bridge control 
\author     Freescale Semiconductor
\author     RC574C
\version    0.1
\date       May/2007
*/
/*******************************************************************************/

#ifndef _DES_MC33887_H_
#define _DES_MC33887_H_

/** Enable MC33887 */
void des_MC33887_Config(void);

/** Disable MC33887 */
void des_MC33887_Disable(void);

/** MC33887 IN1 ON, IN2 OFF */
void des_MC33887_IN1_H_IN2_L(void);

/** MC33887 IN1 OFF, IN2 ON */
void des_MC33887_IN1_L_IN2_H(void);

/** MC33887 IN1 OFF, IN2 OFF */
void des_MC33887_IN1_L_IN2_L(void);


#endif _DES_MC33887_H_