#ifndef LINMSGID_H
#define LINMSGID_H
/******************************************************************************
*                                                       
*       Copyright (C) 2005 Freescale Semiconductor, Inc.
*       All Rights Reserved								              
*														                            
* Filename:     linmsgid.h                
*														                            
* Revision:      										                    
*														                            
* Functions:    Message Identifier and Length configuration for Freescale API
*														                            
* Description:  This is a template file for message id and length configuration.
*														                            
* Notes:        For Master node: all non-standard message's length used in the
*														                            
******************************************************************************/


#define LIN_MSG_0A  LIN_SEND    /* Message identifier */   

#define LIN_MSG_0A_LEN	8       /* Length */


#define LIN_MSG_15  LIN_SEND    /* Message identifier */   

#define LIN_MSG_15_LEN	2       /* Length */



#define LIN_MSG_16  LIN_RECEIVE

#define LIN_MSG_16_LEN	2

#endif /* defined(LINMSGID_H)*/

