#define LCFG_C
/******************************************************************************
*                                                       
*       Copyright (C) 2005 Freescale Semiconductor, Inc.
*       All Rights Reserved								              
*														                            
* Filename:     l_cfg.c                
*														                            
* Revision:      										                    
*														                            
* Functions:    LIN Driver internal configuration for LIN API
*												                            
* Description:  
*
* Notes:        This file is NOT allowed to modify by user
*
******************************************************************************/

#include <l_api.h>

/********************************************************************************************/
/********************************************************************************************/
/**     Driver hardware configuration                                                      **/
/********************************************************************************************/
/********************************************************************************************/

#if defined(S08DZ60)
/********************************************************************************************/
/* S08DZ60                                                                                 */
/********************************************************************************************/

/* LIN baud rate masks */
#define LIN_BAUDRATE_MASK   0x1FFFu

const struct
{
    unsigned int    LIN_IdleTimeoutClocks;  /* number of LIN_IdleClock() calls per LIN idle timeout */
    unsigned int    LIN_BaudRate;       /* LIN baud rate setting */
} LIN_CfgConst =
{
    LIN_IDLETIMEOUT,
    (LIN_BAUDRATE & LIN_BAUDRATE_MASK),
};
#endif /* defined(S08DZ60) */

