/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
Freescale Confidential Proprietary
\file       lle_ADC.h
\brief      Function prototypes for S08DZ60 ADC module basic tasks
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       September/2007
*/
/*******************************************************************************/


#ifndef _LLE_ADC_H
#define _LLE_ADC_H

/** Function Prototypes */

void lle_Init_ADC (void);			/* ADC initialization */
void lle_Calibrate_ADC(void);		/* ADC Calibration constant measure and calculate */
UINT16 lle_ADC(UINT8 u8Channel);	/* ADC conversion SW triger single channel */

#endif /* _LLE_ADC_H */

/*******************************************************************************/ 

